Skip to main content
DELETE
/
creditgrants
/
{id}
Delete credit grant
curl --request DELETE \
  --url https://us.api.flexprice.io/v1/creditgrants/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "effective_date": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://us.api.flexprice.io/v1/creditgrants/{id}"

payload = { "effective_date": "2023-11-07T05:31:56Z" }
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({effective_date: '2023-11-07T05:31:56Z'})
};

fetch('https://us.api.flexprice.io/v1/creditgrants/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Credit Grant ID

Body

application/json

Optional: effective_date for subscription-scoped grants

effective_date
string<date-time>

EffectiveDate is optional; when set (subscription scope) the grant end date is set to this time.

Response

OK

message
string